///////////////////////////////////////////////////////////////////////
//                                                                   //
//   LoopIntervalDialog.cs                                           //
//                                                                   //
//   C# source code for simple dialog to accept new loop interval.   //
//                                                                   //
//   Copyright (C) 2007, by Matt Roberts, KK5JY,                     //
//   All rights reserved.                                            //
//                                                                   //
///////////////////////////////////////////////////////////////////////

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SimpleImageViewer {
	public partial class LoopIntervalDialog : Form {
		public LoopIntervalDialog() {
			InitializeComponent();
		}

		public int Interval {
			get {
				try {
					return Int32.Parse(textBox.Text.Trim());
				} catch {
					return 0;
				}
			}
			set {
				int newValue = value;
				if (newValue > 60000)
					newValue = 60000;
				textBox.Text = newValue.ToString();
				textBox.SelectAll();
				textBox.Focus();
			}
		}
	}
}